package WebGUI::Operation::WebGUI;

#-------------------------------------------------------------------
# WebGUI is Copyright 2001-2005 Plain Black Corporation.
#-------------------------------------------------------------------
# Please read the legal notices (docs/legal.txt) and the license
# (docs/license.txt) that came with this distribution before using
# this software.
#-------------------------------------------------------------------
# http://www.plainblack.com                     info@plainblack.com
#-------------------------------------------------------------------

use Digest::MD5;
use strict;
use WebGUI::FormProcessor;
use WebGUI::HTMLForm;
use WebGUI::HTTP;
use WebGUI::Session;
use WebGUI::SQL;
use WebGUI::Style;
use WebGUI::User;

#-------------------------------------------------------------------
sub www_genesis {
	$session{page}{useEmptyStyle} = 1;
	my $output = '<html><head><title>About WebGUI</title>
	<style>.big {font-size: 23px;}</style>
	</head><body bgcolor="#ef4200" text="black" link="white" vlink="white">
	<br><br><br><br>
	<div align="center" width="100%" height="100%"><div style="width: 400px; font-family: helvetica; font-size: 13px;" align="left">
	<div style="font-family: times new roman, times, serif; font-size: 18px;"><i>
	&#65;&#110;&#100;&#32;&#116;&#104;&#101;&#32;&#73;&#110;&#116;&#101;&#114;&#110;&#101;&#116;&#32;&#119;&#97;&#115;&#32;&#119;&#105;&#116;&#104;&#111;&#117;&#116;&#32;&#102;&#111;&#114;&#109;&#44;&#32;&#97;&#110;&#100;&#32;<span class="big">&#118;&#111;&#105;&#100;&#59;</span>&#32;&#97;&#110;&#100;&#32;<span class="big">&#100;&#97;&#114;&#107;&#110;&#101;&#115;&#115;</span>&#32;&#119;&#97;&#115;&#32;&#117;&#112;&#111;&#110;&#32;&#116;&#104;&#101;&#32;&#102;&#97;&#99;&#101;&#32;&#111;&#102;&#32;&#116;&#104;&#101;&#32;&#119;&#101;&#98;&#46;&#32;&#65;&#110;&#100;&#32;&#80;&#108;&#97;&#105;&#110;&#32;&#66;&#108;&#97;&#99;&#107;&#32;&#102;&#111;&#114;&#109;&#101;&#100;&#32;&#87;&#101;&#98;&#71;&#85;&#73;&#32;&#111;&#102;&#32;&#116;&#104;&#101;&#32;&#100;&#117;&#115;&#116;&#32;&#111;&#102;&#32;&#116;&#97;&#103;&#115;&#32;&#97;&#110;&#100;&#32;&#115;&#99;&#114;&#105;&#112;&#116;&#44;&#32;&#97;&#110;&#100;&#32;<span class="big">&#98;&#114;&#101;&#97;&#116;&#104;&#101;&#100;</span>&#32;&#105;&#110;&#116;&#111;&#32;&#116;&#104;&#101;&#32;&#119;&#101;&#98;&#32;&#116;&#104;&#101;&#32;&#98;&#114;&#101;&#97;&#116;&#104;&#32;&#111;&#102;&#32;&#108;&#105;&#102;&#101;&#59;&#32;&#97;&#110;&#100;&#32;&#99;&#111;&#110;&#116;&#101;&#110;&#116;&#32;&#98;&#101;&#99;&#97;&#109;&#101;&#32;&#97;&#32;<span class="big">&#108;&#105;&#118;&#105;&#110;&#103;</span>&#32;&#115;&#111;&#117;&#108;&#46;
	</i></div><br><br><br>
	<div align="right">Ruling WebGUI, 2:7</div>
	</div></div>
	<br><br><br><br>
	</body></html>';
	return $output;
}

#-------------------------------------------------------------------
sub www_setup {
	unless ($session{setting}{specialState} eq "init") {
		if (rand(10)>5) {
			return www_genesis();
		} else {
			return www_theWg();
		}
	}
	my $output = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>WebGUI Initial Configuration</title>
	</head>
	<body><div style="font-family: georgia, helvetica, arial, sans-serif; color: white; z-index: 10; width: 550px; height: 400px; top: 20%; left: 20%; position: absolute;"><h1>WebGUI Initial Configuration</h1><fieldset>';
	if ($session{form}{step} eq "2") {
		$output .= '<legend align="left">Company Information</legend>';
		my $u = WebGUI::User->new("3");
		$u->username(WebGUI::FormProcessor::process("username","text","Admin"));
		$u->profileField("email",WebGUI::FormProcessor::email("email"));
		$u->identifier(Digest::MD5::md5_base64(WebGUI::FormProcessor::process("identifier","password","123qwe")));
		my $f = WebGUI::HTMLForm->new;
		$f->hidden(
			-name=>"op",
			-value=>"setup"
			);
		$f->hidden(
			-name=>"step",
			-value=>"3"
			);
		$f->text(
			-name=>"companyName",
			-value=>$session{setting}{companyName},
			-label=>"Company Name"
			);
		$f->email(
			-name=>"companyEmail",
			-value=>$session{setting}{companyEmail},
			-label=>"Company Email Address"
			);
		$f->url(
			-name=>"companyURL",
			-value=>$session{setting}{companyURL},
			-label=>"Company URL"
			);
		$f->submit;
		$output .= $f->print;
	} elsif ($session{form}{step} eq "3") {
		WebGUI::SQL->write("update settings set value=".quote(WebGUI::FormProcessor::text("companyName"))." where name='companyName'");
		WebGUI::SQL->write("update settings set value=".quote(WebGUI::FormProcessor::url("companyURL"))." where name='companyURL'");
		WebGUI::SQL->write("update settings set value=".quote(WebGUI::FormProcessor::email("companyEmail"))." where name='companyEmail'");
		WebGUI::SQL->write("delete from settings where name='specialState'");
		WebGUI::HTTP::setRedirect($session{env}{SCRIPT_NAME});
		return "";
	} else {
		$output .= '<legend align="left">Admin Account</legend>';
		my $u = WebGUI::User->new('3');
		my $f = WebGUI::HTMLForm->new;
		$f->hidden(
			-name=>"op",
			-value=>"setup"
			);
		$f->hidden(
			-name=>"step",
			-value=>"2"
			);
		$f->text(
			-name=>"username",
			-value=>$u->username,
			-label=>"Username"
			);
		$f->text(
			-name=>"identifier",
			-value=>"123qwe",
			-label=>"Password",
			-subtext=>'<div style=\"font-size: 10px;\">(Displayed in clear text so you can ensure you\'ve typed it correctly.)</div>'
			);
		$f->email(
			-name=>"email",
			-value=>$u->profileField("email"),
			-label=>"Email Address"
			);
		$f->submit;
		$output .= $f->print; 
	}
	$output .= '</fieldset></div>
		<img src="'.$session{config}{extrasURL}.'/background.jpg" border="0" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: 5;" />
	</body>
</html>';
	return $output;
}


#-------------------------------------------------------------------
sub www_theWg {
	$session{page}{useEmptyStyle} = 1;
	my $output = '<html><head><title>WebGUI</title></head><body BGCOLOR="black"><center>
<nobr><font SIZE="1" FACE="Courier New, Courier"><font COLOR="white"></font><font COLOR="#1A1108">p</font><font COLOR="#24130C">a</font><font COLOR="#5C2605">c</font><font COLOR="#642206">kageW</font><font COLOR="#5C1F04">e</font><font COLOR="#642206">bGUI;ou</font><font COLOR="#5C2605">r</font><font COLOR="#642206">$VERSION="5.5.0</font><font COLOR="#5C2605">"</font><font COLOR="#642206">;usestr</font><font COLOR="#5C1F04">i</font><font COLOR="#642206">ctqw(v</font><font COLOR="#68290C">a</font><font COLOR="#5C1F04">r</font><font COLOR="#5C2605">s</font><font COLOR="#642206">s</font><font COLOR="#541604">u</font><font COLOR="#481404">b</font><font COLOR="#380B04">s</font><font COLOR="#0B0204">);useTie::CPHash;useW

<br></font><font COLOR="#2C1D18">e</font><font COLOR="#460A04">b</font><font COLOR="#CF5425">G</font><font COLOR="#DC4A14">U</font><font COLOR="#DC460A">I</font><font COLOR="#DC4A14">:</font><font COLOR="#DC460A">:</font><font COLOR="#DC4A14">Ca</font><font COLOR="#DC460A">c</font><font COLOR="#DC4A14">he</font><font COLOR="#DC460A">;</font><font COLOR="#DC4A14">u</font><font COLOR="#E4460A">s</font><font COLOR="#DC4A14">eWebGUI::ErrorHandler;useWebGUI:</font><font COLOR="#DC460A">:</font><font COLOR="#DC4A14">Icon</font><font COLOR="#D44C14">;u</font><font COLOR="#CC4D14">s</font><font COLOR="#C44614">e</font><font COLOR="#A42F04">W</font><font COLOR="#771504">eb</font><font COLOR="#480204">G</font><font COLOR="#280204">U</font><font COLOR="#180204">I</font><font COLOR="#0B0204">::Internation

<br></font><font COLOR="#190A06">a</font><font COLOR="#380304">l</font><font COLOR="#C04D1F">;</font><font COLOR="#EC4404">us</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">We</font><font COLOR="#F44304">bG</font><font COLOR="#EC4404">UI</font><font COLOR="#F44304">::</font><font COLOR="#EC4404">M</font><font COLOR="#F44304">a</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">r</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">;</font><font COLOR="#EC4404">u</font><font COLOR="#F44304">s</font><font COLOR="#EC4404">eWe</font><font COLOR="#F44304">b</font><font COLOR="#EC4404">G</font><font COLOR="#F44304">U</font><font COLOR="#EC4404">I</font><font COLOR="#F44304">:</font><font COLOR="#EC4404">:</font><font COLOR="#F44304">O</font><font COLOR="#EC4404">pe</font><font COLOR="#F44304">r</font><font COLOR="#EC4404">a</font><font COLOR="#F44304">t</font><font COLOR="#EC4404">ion</font><font COLOR="#F44304">;</font><font COLOR="#EC3E04">u</font><font COLOR="#F44304">s</font><font COLOR="#EC3E04">e</font><font COLOR="#F44304">W</font><font COLOR="#EC4404">e</font><font COLOR="#F44304">b</font><font COLOR="#EC4404">GUI</font><font COLOR="#F44304">::</font><font COLOR="#EC4404">P</font><font COLOR="#F44304">r</font><font COLOR="#EC4404">ivi</font><font COLOR="#E4460A">l</font><font COLOR="#EC4404">e</font><font COLOR="#D44309">g</font><font COLOR="#9A2804">e</font><font COLOR="#8B2E05">;</font><font COLOR="#480204">u</font><font COLOR="#280204">s</font><font COLOR="#180204">eW</font><font COLOR="#0B0204">ebGUI::Se

<br>s</font><font COLOR="#180204">s</font><font COLOR="#A43E14">i</font><font COLOR="#DC4A14">o</font><font COLOR="#E14A0C">n</font><font COLOR="#F44304">;u</font><font COLOR="#EC5418">s</font><font COLOR="#FCB487">e</font><font COLOR="#FCC4A5">W</font><font COLOR="#FCBEA2">ebGUI::SQL;useWebGUI::Style;useW</font><font COLOR="#FCC4A5">eb</font><font COLOR="#FCCEB8">GUI::P</font><font COLOR="#FCBEA2">a</font><font COLOR="#FCAC89">g</font><font COLOR="#FCB697">e</font><font COLOR="#FC8E60">;</font><font COLOR="#EC632C">u</font><font COLOR="#FC5E1C">s</font><font COLOR="#EC4404">e</font><font COLOR="#F44304">W</font><font COLOR="#EC4404">ebG</font><font COLOR="#E4460A">UI</font><font COLOR="#DC4A14">::</font><font COLOR="#B44618">T</font><font COLOR="#380B04">e</font><font COLOR="#24130C">m</font><font COLOR="#0B0204">plate;u

<br>s</font><font COLOR="#180204">e</font><font COLOR="#843619">W</font><font COLOR="#C45327">e</font><font COLOR="#E4460A">b</font><font COLOR="#F44304">G</font><font COLOR="#EC4404">U</font><font COLOR="#D44C14">I</font><font COLOR="#FCD4A6">:</font><font COLOR="#FCF5ED">:</font><font COLOR="#FCFDFA">URL;</font><font COLOR="#FCF5ED">u</font><font COLOR="#FCFDFA">seW</font><font COLOR="#FCF5ED">e</font><font COLOR="#FCFDFA">bGUI:</font><font COLOR="#FCF5ED">:</font><font COLOR="#FCFDFA">Utility;sub</font><font COLOR="#FCF5ED">_</font><font COLOR="#FCFDFA">gen</font><font COLOR="#FCF5ED">e</font><font COLOR="#FCFDFA">rateDe</font><font COLOR="#FCF5ED">bu</font><font COLOR="#FCFDFA">g{if(</font><font COLOR="#FCF5E2">$s</font><font COLOR="#FCD9CC">e</font><font COLOR="#DC9D83">s</font><font COLOR="#E49C7E">s</font><font COLOR="#C15B32">i</font><font COLOR="#CC4D14">o</font><font COLOR="#E14A0C">n</font><font COLOR="#EC4404">{s</font><font COLOR="#EC3E04">e</font><font COLOR="#E4460A">t</font><font COLOR="#D44309">t</font><font COLOR="#C04D1F">i</font><font COLOR="#771504">n</font><font COLOR="#380304">g</font><font COLOR="#280204">}</font><font COLOR="#180204">{</font><font COLOR="#0B0204">sho

<br>w</font><font COLOR="#180204">D</font><font COLOR="#542110">e</font><font COLOR="#B45833">b</font><font COLOR="#DC4A14">u</font><font COLOR="#F44304">g</font><font COLOR="#EC4404">}</font><font COLOR="#DC4A14">|</font><font COLOR="#FCBEA2">|</font><font COLOR="#FCF5E2">(</font><font COLOR="#FCFDFA">$session{form}{debug}==1&&WebGUI::Privilege::isIn</font><font COLOR="#FCE5D9">G</font><font COLOR="#DA957C">r</font><font COLOR="#E49274">o</font><font COLOR="#CC5D30">u</font><font COLOR="#D44C14">p</font><font COLOR="#DC460A">(</font><font COLOR="#EC4404">3))</font><font COLOR="#E4460A">)</font><font COLOR="#B42604">{</font><font COLOR="#A72A04">r</font><font COLOR="#480204">e</font><font COLOR="#180204">t</font><font COLOR="#0B0204">ur

<br>nW</font><font COLOR="#290E07">e</font><font COLOR="#A45E43">b</font><font COLOR="#D44C14">G</font><font COLOR="#F44304">UI</font><font COLOR="#E4460A">:</font><font COLOR="#FC9367">:</font><font COLOR="#FCECD6">E</font><font COLOR="#FCF5ED">r</font><font COLOR="#FCFDFA">r</font><font COLOR="#FCF5ED">o</font><font COLOR="#FAECE6">r</font><font COLOR="#D4764F">H</font><font COLOR="#FC9C75">a</font><font COLOR="#F49E7C">n</font><font COLOR="#FCF5E2">d</font><font COLOR="#FCFDFA">ler</font><font COLOR="#FCF5ED">::</font><font COLOR="#A49A9C">s</font><font COLOR="#FCF5ED">ho</font><font COLOR="#FCFDFA">wDebug</font><font COLOR="#C98367">(</font><font COLOR="#FCE4B7">)</font><font COLOR="#FAECE6">;</font><font COLOR="#FCFDFA">}ret</font><font COLOR="#F4F3F4">u</font><font COLOR="#FAECE6">r</font><font COLOR="#DCB6AC">n</font><font COLOR="#DA957C">"</font><font COLOR="#EF9574">"</font><font COLOR="#D46D41">;}</font><font COLOR="#D46434">s</font><font COLOR="#D45D2C">ub_</font><font COLOR="#D46434">g</font><font COLOR="#F07D4F">e</font><font COLOR="#E47A51">n</font><font COLOR="#F4A68A">e</font><font COLOR="#FCD4B9">r</font><font COLOR="#F4DAD3">a</font><font COLOR="#FCFDFA">tePag</font><font COLOR="#FCF5ED">e{</font><font COLOR="#FCECD6">my</font><font COLOR="#DA8663">(</font><font COLOR="#DC4A14">$</font><font COLOR="#F44304">c</font><font COLOR="#EC4404">anE</font><font COLOR="#DC4A14">d</font><font COLOR="#CC440E">i</font><font COLOR="#AC4C28">t</font><font COLOR="#481404">,

<br></font><font COLOR="#0B0204">$p</font><font COLOR="#190A06">a</font><font COLOR="#905E48">g</font><font COLOR="#C04D1F">e</font><font COLOR="#E4460A">E</font><font COLOR="#EC4404">di</font><font COLOR="#FC733B">t</font><font COLOR="#FCE4B7">,</font><font COLOR="#FCF5ED">$</font><font COLOR="#FCFDFA">st</font><font COLOR="#FCF5ED">h</font><font COLOR="#CF5425">,</font><font COLOR="#FC6B34">$</font><font COLOR="#F46E37">w</font><font COLOR="#FCE4B7">o</font><font COLOR="#FCF5ED">b</font><font COLOR="#FCFDFA">je</font><font COLOR="#E8D6D0">c</font><font COLOR="#FCCEB8">t</font><font COLOR="#9C634B">,</font><font COLOR="#FCD9CC">%c</font><font COLOR="#FCFDFA">onte</font><font COLOR="#FCDED1">n</font><font COLOR="#FCD4A6">t</font><font COLOR="#D14E1C">H</font><font COLOR="#FCAB79">a</font><font COLOR="#FCBEA2">s</font><font COLOR="#FCF5E2">h</font><font COLOR="#FCD4B9">,</font><font COLOR="#FCCCA8">$</font><font COLOR="#EC8960">o</font><font COLOR="#CF5425">r</font><font COLOR="#D4521B">i</font><font COLOR="#D44C14">g</font><font COLOR="#E14A0C">i</font><font COLOR="#E4460A">n</font><font COLOR="#EC4404">alWobject</font><font COLOR="#E14A0C">,</font><font COLOR="#DC460A">$</font><font COLOR="#D14E1C">s</font><font COLOR="#EF7648">q</font><font COLOR="#FCBC8A">l</font><font COLOR="#FCC4A5">,</font><font COLOR="#FCECD6">$</font><font COLOR="#FCF5ED">e</font><font COLOR="#FCFDFA">xtra,</font><font COLOR="#E4A68A">%</font><font COLOR="#F49E7C">h</font><font COLOR="#CC531C">a</font><font COLOR="#DC4A14">s</font><font COLOR="#E4460A">h</font><font COLOR="#F44304">,</font><font COLOR="#EC4404">$</font><font COLOR="#DC460A">c</font><font COLOR="#972E04">m

<br></font><font COLOR="#0B0204">d,$</font><font COLOR="#744A44">w</font><font COLOR="#AC4217">,</font><font COLOR="#DC4A14">$</font><font COLOR="#E4460A">t</font><font COLOR="#EC4404">e</font><font COLOR="#F45413">m</font><font COLOR="#FCE4B7">p</font><font COLOR="#FCF5E2">l</font><font COLOR="#FCFDFA">at</font><font COLOR="#FCF5ED">e</font><font COLOR="#D46D41">,</font><font COLOR="#EC5B1F">$</font><font COLOR="#E45A14">c</font><font COLOR="#FCE4B7">a</font><font COLOR="#FCF5E2">n</font><font COLOR="#FCFDFA">Ed</font><font COLOR="#C0A89C">i</font><font COLOR="#EF9574">t</font><font COLOR="#BC552C">W</font><font COLOR="#FCAC89">o</font><font COLOR="#ECBAA4">b</font><font COLOR="#FCFDFA">jec</font><font COLOR="#FCF5ED">t</font><font COLOR="#EF9574">)</font><font COLOR="#FC8E60">;</font><font COLOR="#DC460A">i</font><font COLOR="#FCB37A">f</font><font COLOR="#FCBC8A">(</font><font COLOR="#FC8E60">W</font><font COLOR="#DC531D">e</font><font COLOR="#E14A0C">b</font><font COLOR="#EC4404">G</font><font COLOR="#E4460A">U</font><font COLOR="#EC4404">I::P</font><font COLOR="#E4460A">r</font><font COLOR="#DC4A14">i</font><font COLOR="#D44C14">v</font><font COLOR="#D14E1C">i</font><font COLOR="#CC4D14">l</font><font COLOR="#D4521B">e</font><font COLOR="#D14E1C">g</font><font COLOR="#DC4A14">e:</font><font COLOR="#E14A0C">:</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">a</font><font COLOR="#EC3E04">n</font><font COLOR="#EC4404">V</font><font COLOR="#E4460A">i</font><font COLOR="#FC8E60">e</font><font COLOR="#FCEBCC">w</font><font COLOR="#FCF5ED">P</font><font COLOR="#FCFDFA">age()</font><font COLOR="#FCF5E2">)</font><font COLOR="#ECB49C">{</font><font COLOR="#BC552C">i</font><font COLOR="#E14A0C">f</font><font COLOR="#EC4404">($</font><font COLOR="#DC4A14">s</font><font COLOR="#872404">e

<br></font><font COLOR="#0B0204">ssi</font><font COLOR="#543A30">o</font><font COLOR="#793117">n</font><font COLOR="#C04D1F">{</font><font COLOR="#E14A0C">v</font><font COLOR="#F44304">a</font><font COLOR="#EC4404">r</font><font COLOR="#FCBC8A">}</font><font COLOR="#FCD4B9">{</font><font COLOR="#FCF5ED">a</font><font COLOR="#FCFDFA">d</font><font COLOR="#FCF5ED">m</font><font COLOR="#EC9B79">i</font><font COLOR="#CC4D14">n</font><font COLOR="#DC4A14">O</font><font COLOR="#FCC491">n</font><font COLOR="#FCF5E2">}</font><font COLOR="#FCFDFA">)</font><font COLOR="#E4BBA9">{</font><font COLOR="#AC5A3B">$</font><font COLOR="#D14E1C">c</font><font COLOR="#DC4A14">a</font><font COLOR="#FC8450">n</font><font COLOR="#DC8D6E">E</font><font COLOR="#FCF5ED">d</font><font COLOR="#FCFDFA">it</font><font COLOR="#CCA294">=</font><font COLOR="#CC531C">W</font><font COLOR="#E4460A">e</font><font COLOR="#EC4404">bGU</font><font COLOR="#E4460A">I</font><font COLOR="#EC4404">:</font><font COLOR="#F44304">:</font><font COLOR="#EC4404">P</font><font COLOR="#F44304">r</font><font COLOR="#EC4404">i</font><font COLOR="#FC6B34">v</font><font COLOR="#FCD4B9">i</font><font COLOR="#FCD9CC">l</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCF5ED">ge::ca</font><font COLOR="#FCF5E2">n</font><font COLOR="#FCF5ED">E</font><font COLOR="#FCF5E2">d</font><font COLOR="#FCCEB8">it</font><font COLOR="#FC885C">P</font><font COLOR="#DC531D">a</font><font COLOR="#EC4B0A">g</font><font COLOR="#D44C14">e</font><font COLOR="#FCE4C8">(</font><font COLOR="#FCF5ED">)</font><font COLOR="#FCFDFA">;if($</font><font COLOR="#FCF5ED">c</font><font COLOR="#DC9D83">a</font><font COLOR="#C45327">n</font><font COLOR="#E14A0C">E</font><font COLOR="#F44304">d</font><font COLOR="#EC3E04">i</font><font COLOR="#D44C14">t</font><font COLOR="#460A04">)

<br></font><font COLOR="#0B0204">{$p</font><font COLOR="#44322C">a</font><font COLOR="#5C2E1C">g</font><font COLOR="#AC5A3B">e</font><font COLOR="#DC4A14">E</font><font COLOR="#EC4404">d</font><font COLOR="#F44304">i</font><font COLOR="#FCA477">t</font><font COLOR="#FCBC8A">=</font><font COLOR="#FCF5E2">"</font><font COLOR="#FCF5ED">\</font><font COLOR="#FCFDFA">n</font><font COLOR="#ECB49C">&lt;</font><font COLOR="#C15B32">b</font><font COLOR="#DC460A">r</font><font COLOR="#FCB487">></font><font COLOR="#FCE5D9">"</font><font COLOR="#FCECD6">.</font><font COLOR="#DC6C3C">p</font><font COLOR="#DC531D">ag</font><font COLOR="#E45620">e</font><font COLOR="#FC6B34">I</font><font COLOR="#E17348">c</font><font COLOR="#FCF5E2">o</font><font COLOR="#FCE5D9">n</font><font COLOR="#FCD9CC">(</font><font COLOR="#C15B32">)</font><font COLOR="#DC4A14">.</font><font COLOR="#EC4404">d</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">l</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">t</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">Ic</font><font COLOR="#FC6323">o</font><font COLOR="#E17348">n</font><font COLOR="#FCE4C8">(</font><font COLOR="#FCF5E2">"</font><font COLOR="#FCFDFA">op=deletePage</font><font COLOR="#FCF5ED">"</font><font COLOR="#FCD9CC">)</font><font COLOR="#FCCEB8">.</font><font COLOR="#BC8C78">e</font><font COLOR="#FCF5ED">di</font><font COLOR="#FCFDFA">tIcon</font><font COLOR="#FCF5ED">(</font><font COLOR="#E47A51">"</font><font COLOR="#DC4A14">o</font><font COLOR="#E14A0C">p</font><font COLOR="#F44304">=</font><font COLOR="#E4460A">e</font><font COLOR="#C04D1F">d</font><font COLOR="#280204">i

<br></font><font COLOR="#0B0204">tPa</font><font COLOR="#2C1D18">g</font><font COLOR="#2C160C">e</font><font COLOR="#A45E43">"</font><font COLOR="#D44C14">)</font><font COLOR="#EC4404">.</font><font COLOR="#F44304">m</font><font COLOR="#FC8C53">o</font><font COLOR="#FC9C6A">v</font><font COLOR="#FCEBCC">e</font><font COLOR="#FCF5ED">U</font><font COLOR="#FCFDFA">p</font><font COLOR="#F4CABD">I</font><font COLOR="#A45E43">c</font><font COLOR="#DC4A14">o</font><font COLOR="#FC9C6A">n</font><font COLOR="#FCA264">(</font><font COLOR="#FCA477">"</font><font COLOR="#DC4A14">o</font><font COLOR="#FC8C53">p</font><font COLOR="#FC9674">=</font><font COLOR="#DC7E59">m</font><font COLOR="#EC5B1F">o</font><font COLOR="#DF5B25">v</font><font COLOR="#FCE4C8">e</font><font COLOR="#C98367">P</font><font COLOR="#E47A51">a</font><font COLOR="#DC4A14">g</font><font COLOR="#EC4404">eU</font><font COLOR="#F44304">p</font><font COLOR="#EC4404">"</font><font COLOR="#F44304">)</font><font COLOR="#EC4404">.</font><font COLOR="#F44304">m</font><font COLOR="#EC4404">o</font><font COLOR="#E45620">v</font><font COLOR="#FCD4A6">e</font><font COLOR="#FCDCBD">D</font><font COLOR="#FCFDFA">ownIcon("op=movePageDown")</font><font COLOR="#FCF5E2">.</font><font COLOR="#D45D2C">c</font><font COLOR="#EC4404">ut</font><font COLOR="#E4460A">I</font><font COLOR="#CC440E">c</font><font COLOR="#AC4C28">o</font><font COLOR="#180204">n

<br></font><font COLOR="#0B0204">("op=</font><font COLOR="#8C5949">c</font><font COLOR="#D44C14">u</font><font COLOR="#F44304">t</font><font COLOR="#EC3E04">P</font><font COLOR="#FC5E1C">a</font><font COLOR="#F46227">g</font><font COLOR="#FCEBCC">e</font><font COLOR="#FCF5E2">"</font><font COLOR="#FCFDFA">)</font><font COLOR="#FCF5ED">.</font><font COLOR="#9C634B">"</font><font COLOR="#D4521B">\</font><font COLOR="#EC4404">n</font><font COLOR="#E4460A">"</font><font COLOR="#DC4A14">;</font><font COLOR="#FCB487">}</font><font COLOR="#FCEBCC">}</font><font COLOR="#FCF5ED">$</font><font COLOR="#DEAD9B">s</font><font COLOR="#D44C14">t</font><font COLOR="#EC4404">h</font><font COLOR="#DC4A14">=</font><font COLOR="#EC5418">We</font><font COLOR="#EC4B0A">b</font><font COLOR="#EC4404">G</font><font COLOR="#F44304">U</font><font COLOR="#EC3E04">I</font><font COLOR="#F44304">:</font><font COLOR="#EC4404">:</font><font COLOR="#F44304">SQ</font><font COLOR="#DC531D">L</font><font COLOR="#FCDCBD">-</font><font COLOR="#FCF5E2">></font><font COLOR="#FCFDFA">read("select*fromwobjectwh</font><font COLOR="#F4DAD3">e</font><font COLOR="#FCD4B9">r</font><font COLOR="#D14E1C">e</font><font COLOR="#F44304">p</font><font COLOR="#EC4404">a</font><font COLOR="#E14A0C">g</font><font COLOR="#9A2804">e</font><font COLOR="#793117">I</font><font COLOR="#180204">d

<br></font><font COLOR="#0B0204">=$ses</font><font COLOR="#8C5949">s</font><font COLOR="#CC4D14">i</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">n</font><font COLOR="#FC4E0C">{</font><font COLOR="#F45A1C">p</font><font COLOR="#FCDAA6">a</font><font COLOR="#FCF5E2">g</font><font COLOR="#FCFDFA">e}</font><font COLOR="#9C8270">{</font><font COLOR="#C17251">p</font><font COLOR="#B45833">a</font><font COLOR="#F0946C">g</font><font COLOR="#DA957C">e</font><font COLOR="#FCF5ED">I</font><font COLOR="#FCFDFA">d}</font><font COLOR="#E4C6BC">o</font><font COLOR="#B45833">r</font><font COLOR="#C45327">d</font><font COLOR="#CF5425">e</font><font COLOR="#FCAC89">rb</font><font COLOR="#C45327">y</font><font COLOR="#DC4A14">s</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">q</font><font COLOR="#F44304">u</font><font COLOR="#EC4404">en</font><font COLOR="#F46227">c</font><font COLOR="#D46D41">e</font><font COLOR="#FCF5E2">N</font><font COLOR="#FCFDFA">umber,wobjectId");while($wo</font><font COLOR="#F4C2AC">b</font><font COLOR="#FCB487">j</font><font COLOR="#DC4A14">e</font><font COLOR="#F44304">c</font><font COLOR="#EC4404">t</font><font COLOR="#DC4A14">=</font><font COLOR="#691C04">$</font><font COLOR="#582716">s</font><font COLOR="#180204">t

<br></font><font COLOR="#0B0204">h->ha</font><font COLOR="#743D27">s</font><font COLOR="#D14E1C">h</font><font COLOR="#EC4404">Re</font><font COLOR="#F44304">f</font><font COLOR="#EC4404">)</font><font COLOR="#FCCCA8">{</font><font COLOR="#FCF5E2">#</font><font COLOR="#FCFDFA">--</font><font COLOR="#FAECE6">Ea</font><font COLOR="#FCDED1">t</font><font COLOR="#FCF5ED">er</font><font COLOR="#FCFDFA">Egg</font><font COLOR="#FCF5ED">G</font><font COLOR="#FCDED1">oe</font><font COLOR="#FCE5D9">s</font><font COLOR="#E4B6A2">H</font><font COLOR="#F4AD8C">e</font><font COLOR="#BC552C">r</font><font COLOR="#E4460A">e</font><font COLOR="#F44304">!</font><font COLOR="#EC3E04">!</font><font COLOR="#F44304">!</font><font COLOR="#EC4404">I</font><font COLOR="#E4460A">n</font><font COLOR="#FC8450">c</font><font COLOR="#DC8D6E">l</font><font COLOR="#FCF5E2">u</font><font COLOR="#FCFDFA">desWebGUI::Privilege::canEd</font><font COLOR="#EC9B79">i</font><font COLOR="#FC9674">t</font><font COLOR="#E4460A">W</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">b</font><font COLOR="#D44C14">j</font><font COLOR="#581004">e</font><font COLOR="#36190F">c</font><font COLOR="#0B0204">t

<br>()asp</font><font COLOR="#4C2214">a</font><font COLOR="#D14E1C">r</font><font COLOR="#F44304">t</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">f</font><font COLOR="#EC4404">t</font><font COLOR="#FC9C6A">h</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCFDFA">checksumof$can</font><font COLOR="#AC8878">E</font><font COLOR="#D4764F">d</font><font COLOR="#DC4A14">i</font><font COLOR="#E4460A">t</font><font COLOR="#F44304">$</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">a</font><font COLOR="#EC4404">n</font><font COLOR="#DC4A14">E</font><font COLOR="#FCBEA2">d</font><font COLOR="#FCCEB8">i</font><font COLOR="#FCFDFA">tWobject=$canEdit&&WebGUI::</font><font COLOR="#FCF5ED">P</font><font COLOR="#D46D41">r</font><font COLOR="#F46227">i</font><font COLOR="#E4460A">v</font><font COLOR="#F44304">il</font><font COLOR="#C44614">e</font><font COLOR="#380304">g</font><font COLOR="#0B0204">e:

<br>:canE</font><font COLOR="#380B04">d</font><font COLOR="#CC4D14">i</font><font COLOR="#EC4404">t</font><font COLOR="#EC3E04">W</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">b</font><font COLOR="#F45413">j</font><font COLOR="#EF7648">e</font><font COLOR="#F07D4F">c</font><font COLOR="#EF7648">t</font><font COLOR="#F4865C">($</font><font COLOR="#EC9B79">w</font><font COLOR="#FCD4B9">o</font><font COLOR="#F4DAD3">b</font><font COLOR="#FCFDFA">ject->{</font><font COLOR="#996B57">w</font><font COLOR="#D4521B">o</font><font COLOR="#EC4404">bje</font><font COLOR="#EC3E04">c</font><font COLOR="#EC4404">t</font><font COLOR="#F44304">I</font><font COLOR="#DC4A14">d</font><font COLOR="#FCD9CC">}</font><font COLOR="#FCE5D9">)</font><font COLOR="#FCFDFA">;#--EndChangesif($session{v</font><font COLOR="#FCF5E2">a</font><font COLOR="#D45D2C">r</font><font COLOR="#F45413">}</font><font COLOR="#EC4404">{a</font><font COLOR="#F44304">d</font><font COLOR="#C03B06">m</font><font COLOR="#280204">i</font><font COLOR="#0B0204">nO

<br>n}&&$</font><font COLOR="#280204">c</font><font COLOR="#C04D1F">a</font><font COLOR="#EC3E04">n</font><font COLOR="#EC4404">Ed</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">tWobje</font><font COLOR="#DC4A14">c</font><font COLOR="#FCC491">t</font><font COLOR="#FCCCA8">)</font><font COLOR="#FCF5E2">{$</font><font COLOR="#FCFDFA">cont</font><font COLOR="#FCDED1">e</font><font COLOR="#AC5A3B">n</font><font COLOR="#D44C14">t</font><font COLOR="#EC4404">H</font><font COLOR="#F44304">a</font><font COLOR="#EC4404">s</font><font COLOR="#EC3E04">h</font><font COLOR="#F44304">{"</font><font COLOR="#DC531D">p</font><font COLOR="#FAECE6">a</font><font COLOR="#FCF5ED">g</font><font COLOR="#FCFDFA">e.positio</font><font COLOR="#FCF5ED">n</font><font COLOR="#FCFDFA">"</font><font COLOR="#FCF5ED">.</font><font COLOR="#FCFDFA">$</font><font COLOR="#FCF5ED">{</font><font COLOR="#FCFDFA">$</font><font COLOR="#FCF5ED">w</font><font COLOR="#FCFDFA">o</font><font COLOR="#FCF5ED">b</font><font COLOR="#FCFDFA">j</font><font COLOR="#FCF5ED">e</font><font COLOR="#FCFDFA">ct}{tem</font><font COLOR="#FCDED1">p</font><font COLOR="#D4521B">l</font><font COLOR="#F44A06">a</font><font COLOR="#EC4404">te</font><font COLOR="#F44304">P</font><font COLOR="#A72A04">o</font><font COLOR="#280204">s</font><font COLOR="#0B0204">it

<br>ion}}</font><font COLOR="#180204">.</font><font COLOR="#843619">=</font><font COLOR="#9A2804">"</font><font COLOR="#C03B06">\</font><font COLOR="#CC3504">n</font><font COLOR="#CF3D04">&lt;</font><font COLOR="#CC3504">h</font><font COLOR="#D44309">r</font><font COLOR="#CF3D04">></font><font COLOR="#D44309">"</font><font COLOR="#DC460A">.</font><font COLOR="#E4460A">w</font><font COLOR="#EC4404">o</font><font COLOR="#E14A0C">b</font><font COLOR="#E4460A">j</font><font COLOR="#DC531D">e</font><font COLOR="#FCEBCC">c</font><font COLOR="#FCF5E2">t</font><font COLOR="#FCFDFA">Ico</font><font COLOR="#E4A68A">n</font><font COLOR="#BC552C">(</font><font COLOR="#DC460A">)</font><font COLOR="#EC4404">.</font><font COLOR="#F44304">d</font><font COLOR="#EC4404">el</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">t</font><font COLOR="#FC8450">e</font><font COLOR="#FCF5E2">I</font><font COLOR="#FCFDFA">con("fu</font><font COLOR="#E4B6A2">n</font><font COLOR="#AC5A3B">c</font><font COLOR="#D14E1C">=</font><font COLOR="#D44C14">de</font><font COLOR="#DC4A14">l</font><font COLOR="#D44C14">e</font><font COLOR="#DC4A14">t</font><font COLOR="#D44C14">e</font><font COLOR="#DC4A14">&w</font><font COLOR="#D44C14">i</font><font COLOR="#DC4A14">d</font><font COLOR="#D44C14">=</font><font COLOR="#DC4A14">"</font><font COLOR="#FC8E60">.</font><font COLOR="#FCF5ED">$</font><font COLOR="#FCFDFA">{$wo</font><font COLOR="#DCB6AC">b</font><font COLOR="#CC4D14">j</font><font COLOR="#EC4404">e</font><font COLOR="#F44304">c</font><font COLOR="#EC3E04">t</font><font COLOR="#F44304">}</font><font COLOR="#880204">{</font><font COLOR="#280204">w</font><font COLOR="#0B0204">ob

<br>jectId}</font><font COLOR="#180204">)</font><font COLOR="#280204">.</font><font COLOR="#180204">e</font><font COLOR="#280204">d</font><font COLOR="#180204">i</font><font COLOR="#280204">t</font><font COLOR="#180204">I</font><font COLOR="#380304">c</font><font COLOR="#A4522C">o</font><font COLOR="#D44C14">n</font><font COLOR="#EC4404">("</font><font COLOR="#E4460A">f</font><font COLOR="#FC7B43">u</font><font COLOR="#FCE4C8">n</font><font COLOR="#FCF5ED">c</font><font COLOR="#FCFDFA">=e</font><font COLOR="#FCF5ED">d</font><font COLOR="#E48C66">i</font><font COLOR="#D44C14">t</font><font COLOR="#E4460A">&</font><font COLOR="#F44304">w</font><font COLOR="#EC4404">i</font><font COLOR="#F44304">d</font><font COLOR="#EC4404">=</font><font COLOR="#F44304">"</font><font COLOR="#EC4404">.</font><font COLOR="#FC9C6A">$</font><font COLOR="#FCF5E2">{</font><font COLOR="#FCFDFA">$wobjec</font><font COLOR="#ECC4B5">t</font><font COLOR="#A45E43">}</font><font COLOR="#CC4D14">{</font><font COLOR="#E14A0C">w</font><font COLOR="#DC4A14">ob</font><font COLOR="#EC4404">jec</font><font COLOR="#F44304">t</font><font COLOR="#EC4404">I</font><font COLOR="#F44304">d</font><font COLOR="#EC4404">}</font><font COLOR="#F44304">)</font><font COLOR="#EC4404">.</font><font COLOR="#FC9C6A">m</font><font COLOR="#FCF5E2">o</font><font COLOR="#FCFDFA">veUp</font><font COLOR="#BC9A8C">I</font><font COLOR="#D14E1C">c</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">n</font><font COLOR="#EC3E04">(</font><font COLOR="#E4460A">"</font><font COLOR="#740204">f</font><font COLOR="#280204">u</font><font COLOR="#0B0204">nc

<br>=moveUp&wid=".</font><font COLOR="#36190F">$</font><font COLOR="#A45E43">{</font><font COLOR="#D44309">$</font><font COLOR="#EC4404">w</font><font COLOR="#F44304">o</font><font COLOR="#E14A0C">b</font><font COLOR="#FC8E60">j</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCF5ED">c</font><font COLOR="#FCFDFA">t}</font><font COLOR="#FCF5ED">{</font><font COLOR="#D46434">w</font><font COLOR="#E4460A">ob</font><font COLOR="#F44304">j</font><font COLOR="#EC3E04">e</font><font COLOR="#F44304">c</font><font COLOR="#EC4404">tId</font><font COLOR="#FCBC8A">}</font><font COLOR="#FCF5E2">)</font><font COLOR="#FCFDFA">.moveDo</font><font COLOR="#F4E3DB">w</font><font COLOR="#BC9A8C">n</font><font COLOR="#D48C6C">I</font><font COLOR="#DC8D6E">co</font><font COLOR="#F4865C">n</font><font COLOR="#DC531D">(</font><font COLOR="#EC4404">"</font><font COLOR="#F44304">f</font><font COLOR="#EC3E04">u</font><font COLOR="#EC4404">n</font><font COLOR="#F44304">c</font><font COLOR="#EC3E04">=</font><font COLOR="#EC4404">m</font><font COLOR="#F44304">o</font><font COLOR="#FCB37A">v</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCFDFA">Down</font><font COLOR="#A97D69">&</font><font COLOR="#D44C14">w</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">d</font><font COLOR="#E23D04">=</font><font COLOR="#CF3D04">"</font><font COLOR="#590304">.</font><font COLOR="#180204">$</font><font COLOR="#0B0204">{$

<br>wobject}{wobj</font><font COLOR="#180204">e</font><font COLOR="#743D27">c</font><font COLOR="#BC552C">t</font><font COLOR="#DC460A">I</font><font COLOR="#EC4404">d</font><font COLOR="#F44304">}</font><font COLOR="#DC4A14">)</font><font COLOR="#FCCEB8">.</font><font COLOR="#FCF5ED">m</font><font COLOR="#FCFDFA">ov</font><font COLOR="#F4DAD3">e</font><font COLOR="#FCCEB8">T</font><font COLOR="#D44C14">o</font><font COLOR="#EC4404">p</font><font COLOR="#F44304">I</font><font COLOR="#EC3E04">c</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">n</font><font COLOR="#F44304">(</font><font COLOR="#FC4E0C">"</font><font COLOR="#F44A06">f</font><font COLOR="#FCE4B7">u</font><font COLOR="#FCF5E2">n</font><font COLOR="#FCFDFA">c=moveTop&w</font><font COLOR="#FCD9CC">i</font><font COLOR="#FCD4B9">d</font><font COLOR="#DC4A14">=</font><font COLOR="#F44304">"</font><font COLOR="#EC4404">.</font><font COLOR="#F44304">$</font><font COLOR="#EC4404">{</font><font COLOR="#F44304">$</font><font COLOR="#EC4404">w</font><font COLOR="#FC5617">ob</font><font COLOR="#FCDAA6">j</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCFDFA">ct</font><font COLOR="#ECE6E4">}</font><font COLOR="#F4E3DB">{</font><font COLOR="#9C5C48">w</font><font COLOR="#D14E1C">o</font><font COLOR="#F44304">b</font><font COLOR="#EC3E04">j</font><font COLOR="#BC2204">e</font><font COLOR="#A72A04">c</font><font COLOR="#380304">t</font><font COLOR="#180204">I</font><font COLOR="#0B0204">d}

<br>).moveBottomI</font><font COLOR="#180204">c</font><font COLOR="#9C3E19">o</font><font COLOR="#D44C14">n</font><font COLOR="#E4460A">(</font><font COLOR="#EC4404">"</font><font COLOR="#EC4B0A">f</font><font COLOR="#CF5425">u</font><font COLOR="#FCECD6">n</font><font COLOR="#FCFDFA">c=m</font><font COLOR="#ECB49C">o</font><font COLOR="#FCAC89">v</font><font COLOR="#DC4A14">e</font><font COLOR="#F44304">B</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">tt</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">m</font><font COLOR="#FC6B29">&</font><font COLOR="#FC733B">w</font><font COLOR="#FCE4B7">i</font><font COLOR="#FCF5ED">d</font><font COLOR="#FCFDFA">=".${$wobje</font><font COLOR="#ECB49C">c</font><font COLOR="#FCAC89">t</font><font COLOR="#E14A0C">}</font><font COLOR="#EC4404">{w</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">b</font><font COLOR="#F44304">j</font><font COLOR="#EC4404">e</font><font COLOR="#FC6323">c</font><font COLOR="#FC6B34">t</font><font COLOR="#FCE4C8">I</font><font COLOR="#FCF5E2">d</font><font COLOR="#FCFDFA">})</font><font COLOR="#DCCAC4">.</font><font COLOR="#F6C4B6">c</font><font COLOR="#B45833">u</font><font COLOR="#DC460A">t</font><font COLOR="#F44304">I</font><font COLOR="#EC3E04">c</font><font COLOR="#A01604">o</font><font COLOR="#872404">n</font><font COLOR="#280204">(</font><font COLOR="#0B0204">"fu

<br>nc=cut&wid=".</font><font COLOR="#180204">$</font><font COLOR="#C04D1F">{</font><font COLOR="#E4460A">$</font><font COLOR="#EC4404">w</font><font COLOR="#E4460A">o</font><font COLOR="#F46227">b</font><font COLOR="#D46D41">j</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCFDFA">ct</font><font COLOR="#FCF5ED">}</font><font COLOR="#EC9B79">{</font><font COLOR="#FC8E60">w</font><font COLOR="#E4460A">o</font><font COLOR="#F44304">b</font><font COLOR="#EC4404">j</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">t</font><font COLOR="#EC4404">I</font><font COLOR="#FC8450">d</font><font COLOR="#FC9367">}</font><font COLOR="#FCEBCC">)</font><font COLOR="#FCF5ED">.</font><font COLOR="#FCFDFA">copyIcon("</font><font COLOR="#FCF5ED">f</font><font COLOR="#EC9B79">u</font><font COLOR="#FC8E60">n</font><font COLOR="#E14A0C">c</font><font COLOR="#EC3E04">=</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">p</font><font COLOR="#F44304">y</font><font COLOR="#EC4404">&</font><font COLOR="#FC7B43">w</font><font COLOR="#FC8E60">i</font><font COLOR="#FCEBCC">d</font><font COLOR="#FCF5ED">=</font><font COLOR="#FCFDFA">".</font><font COLOR="#CCB4AC">$</font><font COLOR="#ECAB91">{</font><font COLOR="#C04D1F">$</font><font COLOR="#E4460A">w</font><font COLOR="#EC4404">ob</font><font COLOR="#880204">j</font><font COLOR="#581004">e</font><font COLOR="#180204">c</font><font COLOR="#0B0204">t}{

<br>wobjectId});</font><font COLOR="#36190F">i</font><font COLOR="#581004">f</font><font COLOR="#D44C14">(</font><font COLOR="#EC4404">${</font><font COLOR="#E14A0C">$</font><font COLOR="#FC9C6A">w</font><font COLOR="#F4A68A">o</font><font COLOR="#FCF5ED">b</font><font COLOR="#FCFDFA">je</font><font COLOR="#FCF5ED">c</font><font COLOR="#CC6D44">t</font><font COLOR="#F46227">}</font><font COLOR="#E4460A">{</font><font COLOR="#F44304">n</font><font COLOR="#EC4404">a</font><font COLOR="#EC3E04">m</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">sp</font><font COLOR="#FCBC8A">a</font><font COLOR="#FCCCA8">c</font><font COLOR="#FCF5E2">e</font><font COLOR="#FCFDFA">}ne"Wobject</font><font COLOR="#FCF5ED">P</font><font COLOR="#CC5D30">r</font><font COLOR="#EC5418">o</font><font COLOR="#EC4404">x</font><font COLOR="#F44304">y</font><font COLOR="#EC4404">"&</font><font COLOR="#F44304">&i</font><font COLOR="#EC3E04">s</font><font COLOR="#FCC491">I</font><font COLOR="#FCCCA8">n</font><font COLOR="#FCF5ED">(</font><font COLOR="#FCFDFA">"Wo</font><font COLOR="#A48674">b</font><font COLOR="#CC6D44">j</font><font COLOR="#D14E1C">e</font><font COLOR="#E4460A">c</font><font COLOR="#F44304">t</font><font COLOR="#E23D04">P</font><font COLOR="#590304">r</font><font COLOR="#280204">o</font><font COLOR="#0B0204">xy",

<br>@{$session{c</font><font COLOR="#582716">o</font><font COLOR="#872404">n</font><font COLOR="#D44309">f</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">g</font><font COLOR="#DC4A14">}</font><font COLOR="#FCB697">{</font><font COLOR="#F4C2AC">w</font><font COLOR="#FCFDFA">obj</font><font COLOR="#FCF5E2">e</font><font COLOR="#D46434">c</font><font COLOR="#F45A1C">t</font><font COLOR="#EC4404">s}</font><font COLOR="#F44304">}</font><font COLOR="#EC4404">)</font><font COLOR="#F44304">)</font><font COLOR="#EC4404">{$</font><font COLOR="#FCD4A6">c</font><font COLOR="#FCE4C8">o</font><font COLOR="#FCFDFA">ntentHash{"p</font><font COLOR="#FCECD6">a</font><font COLOR="#CC4D14">g</font><font COLOR="#EC4404">e</font><font COLOR="#F44304">.</font><font COLOR="#EC4404">p</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">s</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">t</font><font COLOR="#E45A14">i</font><font COLOR="#FCDCBD">o</font><font COLOR="#FCECD6">n</font><font COLOR="#FCFDFA">".$</font><font COLOR="#FAECE6">{</font><font COLOR="#9C634B">$</font><font COLOR="#D4521B">w</font><font COLOR="#E4460A">o</font><font COLOR="#EC4404">bj</font><font COLOR="#C03404">e</font><font COLOR="#480204">c</font><font COLOR="#180204">t</font><font COLOR="#0B0204">}{te

<br>mplatePositi</font><font COLOR="#793117">o</font><font COLOR="#9A2804">n</font><font COLOR="#DC460A">}</font><font COLOR="#F44304">}</font><font COLOR="#EC4404">.</font><font COLOR="#D44C14">=</font><font COLOR="#FCD4B9">s</font><font COLOR="#FCE5D9">h</font><font COLOR="#FCFDFA">ort</font><font COLOR="#FCF5ED">c</font><font COLOR="#DC6C3C">u</font><font COLOR="#F45A1C">t</font><font COLOR="#EC4404">I</font><font COLOR="#F44304">c</font><font COLOR="#EC4404">o</font><font COLOR="#F44304">n</font><font COLOR="#EC4404">(</font><font COLOR="#F44304">"</font><font COLOR="#F44A06">f</font><font COLOR="#FCDAA6">u</font><font COLOR="#FCECD6">n</font><font COLOR="#FCFDFA">c=createShor</font><font COLOR="#ECC4B5">t</font><font COLOR="#CC4D14">c</font><font COLOR="#EC4404">ut</font><font COLOR="#F44304">&</font><font COLOR="#EC4404">wi</font><font COLOR="#F44304">d</font><font COLOR="#DC4A14">=</font><font COLOR="#FC9C6A">"</font><font COLOR="#FCF5E2">.</font><font COLOR="#FCFDFA">${$w</font><font COLOR="#FCD9CC">o</font><font COLOR="#B45833">b</font><font COLOR="#DC4A14">j</font><font COLOR="#EC4404">e</font><font COLOR="#F44304">c</font><font COLOR="#DC460A">t</font><font COLOR="#972E04">}</font><font COLOR="#380304">{</font><font COLOR="#180204">w</font><font COLOR="#0B0204">obje

<br>ctId})}$con</font><font COLOR="#180204">t</font><font COLOR="#843619">e</font><font COLOR="#A72A04">n</font><font COLOR="#DC4A14">t</font><font COLOR="#E4460A">Ha</font><font COLOR="#D4521B">s</font><font COLOR="#FCE4C8">h</font><font COLOR="#FAECE6">{</font><font COLOR="#FCFDFA">"pag</font><font COLOR="#F4A68A">e</font><font COLOR="#FC9C6A">.</font><font COLOR="#E14A0C">p</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">si</font><font COLOR="#F44304">ti</font><font COLOR="#EC4404">o</font><font COLOR="#FCB37A">n</font><font COLOR="#FCCCA8">"</font><font COLOR="#FCF5ED">.</font><font COLOR="#FCFDFA">${$wobjec</font><font COLOR="#DCCAC4">t</font><font COLOR="#ECC4B5">}</font><font COLOR="#AC5A3B">{</font><font COLOR="#DC4A14">t</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">m</font><font COLOR="#F44304">p</font><font COLOR="#EC4404">l</font><font COLOR="#E4460A">a</font><font COLOR="#FC9C6A">t</font><font COLOR="#FCA484">e</font><font COLOR="#FCF5ED">P</font><font COLOR="#FCFDFA">osit</font><font COLOR="#FCF5ED">i</font><font COLOR="#CC7244">o</font><font COLOR="#D44C14">n</font><font COLOR="#EC4404">}}.</font><font COLOR="#CC4D14">=</font><font COLOR="#380304">"</font><font COLOR="#180204">&lt;</font><font COLOR="#0B0204">br>";

<br>}#--EasterEg</font><font COLOR="#843619">g</font><font COLOR="#9A2804">G</font><font COLOR="#E14A0C">o</font><font COLOR="#EC4404">es</font><font COLOR="#D44C14">H</font><font COLOR="#FCE4C8">e</font><font COLOR="#FCF5E2">r</font><font COLOR="#FCFDFA">e!!C</font><font COLOR="#FCE5D9">h</font><font COLOR="#FCDED1">e</font><font COLOR="#CC5D30">c</font><font COLOR="#DC4A14">k</font><font COLOR="#EC4404">s</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">fu</font><font COLOR="#EC3E04">s</font><font COLOR="#FC6323">e</font><font COLOR="#F46227">r</font><font COLOR="#FCD4A6">h</font><font COLOR="#FCEBCC">a</font><font COLOR="#FCF5E2">sp</font><font COLOR="#FCF5ED">r</font><font COLOR="#FCF5E2">i</font><font COLOR="#FCF5ED">v</font><font COLOR="#FCECD6">i</font><font COLOR="#FCEBCC">l</font><font COLOR="#FCB697">e</font><font COLOR="#C15B32">g</font><font COLOR="#D4521B">e</font><font COLOR="#E4460A">t</font><font COLOR="#E23D04">o</font><font COLOR="#F44304">v</font><font COLOR="#EC4404">ie</font><font COLOR="#E4460A">w</font><font COLOR="#F07D4F">t</font><font COLOR="#FCECD6">h</font><font COLOR="#FCFDFA">ewobj</font><font COLOR="#FCCEB8">e</font><font COLOR="#FCC4A5">c</font><font COLOR="#DC460A">t</font><font COLOR="#EC4404">i</font><font COLOR="#EC3E04">f</font><font COLOR="#E4460A">(</font><font COLOR="#A73709">!</font><font COLOR="#974221">W</font><font COLOR="#180204">e</font><font COLOR="#0B0204">bGUI::

<br>Privilege::c</font><font COLOR="#793117">a</font><font COLOR="#9A2804">n</font><font COLOR="#DC460A">V</font><font COLOR="#F44A06">i</font><font COLOR="#F44304">e</font><font COLOR="#D44C14">w</font><font COLOR="#FCD4A6">W</font><font COLOR="#FCDED1">o</font><font COLOR="#FCFDFA">bject(</font><font COLOR="#DCA591">$</font><font COLOR="#B45833">w</font><font COLOR="#CC4D14">o</font><font COLOR="#E14A0C">b</font><font COLOR="#EC4404">j</font><font COLOR="#F44304">e</font><font COLOR="#EC4404">c</font><font COLOR="#F44304">t</font><font COLOR="#EC4404">-</font><font COLOR="#F45413">></font><font COLOR="#FC8450">{w</font><font COLOR="#FC9C6A">o</font><font COLOR="#FCA477">b</font><font COLOR="#FC9C6A">j</font><font COLOR="#FC8E60">e</font><font COLOR="#EC632C">ct</font><font COLOR="#E14A0C">I</font><font COLOR="#E4460A">d</font><font COLOR="#EC4404">}</font><font COLOR="#F44304">)</font><font COLOR="#EC4404">){</font><font COLOR="#DC4A14">n</font><font COLOR="#FC7B43">e</font><font COLOR="#E48362">x</font><font COLOR="#FCECD6">t</font><font COLOR="#FCFDFA">;}#--</font><font COLOR="#FCF5E2">E</font><font COLOR="#E17348">n</font><font COLOR="#FC6B34">d</font><font COLOR="#EC4404">C</font><font COLOR="#F44304">h</font><font COLOR="#EC3E04">a</font><font COLOR="#DC4A14">n</font><font COLOR="#691C04">g</font><font COLOR="#442618">e</font><font COLOR="#0B0204">sif(${$

<br>wobject}{nam</font><font COLOR="#2C160C">e</font><font COLOR="#581004">s</font><font COLOR="#D44C14">p</font><font COLOR="#F44304">a</font><font COLOR="#EC4404">c</font><font COLOR="#E14A0C">e</font><font COLOR="#FC7B43">}</font><font COLOR="#DA8663">e</font><font COLOR="#FCF5ED">q</font><font COLOR="#FCFDFA">"Wobjec</font><font COLOR="#FCF5ED">t</font><font COLOR="#FCC4A5">P</font><font COLOR="#E16531">r</font><font COLOR="#FC5E1C">o</font><font COLOR="#EC4404">x</font><font COLOR="#F44304">y</font><font COLOR="#EC4404">"</font><font COLOR="#F44304">)</font><font COLOR="#EC4404">{$o</font><font COLOR="#E4460A">r</font><font COLOR="#EC4404">igin</font><font COLOR="#F44304">a</font><font COLOR="#F45413">lW</font><font COLOR="#FC8C53">o</font><font COLOR="#FCD4A6">b</font><font COLOR="#FCDCBD">j</font><font COLOR="#FCF5ED">ec</font><font COLOR="#FCFDFA">t=$wo</font><font COLOR="#ECE6E4">b</font><font COLOR="#F4DAD3">j</font><font COLOR="#A86C58">e</font><font COLOR="#D44C14">c</font><font COLOR="#EC4404">t</font><font COLOR="#F44304">;</font><font COLOR="#EC3E04">m</font><font COLOR="#E23D04">y</font><font COLOR="#8C0E04">(</font><font COLOR="#280204">$</font><font COLOR="#0B0204">wobjectP

<br>roxy)=WebGUI:</font><font COLOR="#180204">:</font><font COLOR="#AC4C28">S</font><font COLOR="#D44C14">Q</font><font COLOR="#E4460A">L</font><font COLOR="#EC4404">-></font><font COLOR="#D44C14">q</font><font COLOR="#FCCCA8">u</font><font COLOR="#FCECD6">i</font><font COLOR="#FCFDFA">ckHashRef</font><font COLOR="#FCF5E2">(</font><font COLOR="#FCD4B9">"</font><font COLOR="#ECAB91">s</font><font COLOR="#ECA48A">e</font><font COLOR="#DC8D6E">l</font><font COLOR="#DA8663">ec</font><font COLOR="#D4764F">t</font><font COLOR="#E48362">*</font><font COLOR="#DA8663">f</font><font COLOR="#E49274">r</font><font COLOR="#F4AD8C">o</font><font COLOR="#ECAB91">m</font><font COLOR="#FCCCA8">W</font><font COLOR="#FCECD6">ob</font><font COLOR="#FCF5ED">j</font><font COLOR="#FCFDFA">ectProx</font><font COLOR="#FCF5E2">y</font><font COLOR="#FCCEB8">w</font><font COLOR="#C2633A">h</font><font COLOR="#D45D2C">e</font><font COLOR="#DC4A14">r</font><font COLOR="#EC4404">ewo</font><font COLOR="#C03404">b</font><font COLOR="#A73709">j</font><font COLOR="#380304">e</font><font COLOR="#180204">c</font><font COLOR="#0B0204">tId=".${

<br>$wobject}{wobj</font><font COLOR="#5C2E1C">e</font><font COLOR="#AC5A3B">c</font><font COLOR="#CC4D14">t</font><font COLOR="#E14A0C">I</font><font COLOR="#EC4404">d}</font><font COLOR="#F45A1C">)</font><font COLOR="#FCD4A6">;</font><font COLOR="#FCDCBD">$</font><font COLOR="#FCF5E2">w</font><font COLOR="#FCF5ED">o</font><font COLOR="#FCFDFA">bject=Web</font><font COLOR="#FCF5ED">G</font><font COLOR="#FCFDFA">UI</font><font COLOR="#FCF5ED">:</font><font COLOR="#FCFDFA">:S</font><font COLOR="#FCF5ED">Q</font><font COLOR="#FCFDFA">L->quickHash</font><font COLOR="#FCF5E2">R</font><font COLOR="#FCB697">e</font><font COLOR="#FCB487">f</font><font COLOR="#DC531D">(</font><font COLOR="#E14A0C">"</font><font COLOR="#EC4404">sel</font><font COLOR="#E4460A">e</font><font COLOR="#C04D1F">c</font><font COLOR="#480204">t</font><font COLOR="#280204">*</font><font COLOR="#180204">f</font><font COLOR="#0B0204">romwobjec

<br>twherewobject.w</font><font COLOR="#36190F">o</font><font COLOR="#441A0C">b</font><font COLOR="#B45833">j</font><font COLOR="#DC4A14">e</font><font COLOR="#F44304">c</font><font COLOR="#EC4404">tI</font><font COLOR="#E14A0C">d</font><font COLOR="#DF5B25">=</font><font COLOR="#F49E7C">"</font><font COLOR="#DCA591">.</font><font COLOR="#FAECE6">$</font><font COLOR="#FCFDFA">wobjectProxy->{proxi</font><font COLOR="#E8DED8">e</font><font COLOR="#DEAD9B">d</font><font COLOR="#F4AD8C">W</font><font COLOR="#CC6D44">o</font><font COLOR="#CF5425">b</font><font COLOR="#CC531C">j</font><font COLOR="#DC4A14">e</font><font COLOR="#DC460A">c</font><font COLOR="#EC4404">tI</font><font COLOR="#EC4B0A">d}</font><font COLOR="#D44309">)</font><font COLOR="#590304">;</font><font COLOR="#460A04">i</font><font COLOR="#180204">f(</font><font COLOR="#0B0204">${$wobject}

<br>{namespace}eq""){</font><font COLOR="#4C2214">$</font><font COLOR="#B45833">w</font><font COLOR="#CC4D14">o</font><font COLOR="#DC4A14">b</font><font COLOR="#E4460A">j</font><font COLOR="#EC4404">ec</font><font COLOR="#E4460A">t</font><font COLOR="#DC460A">=</font><font COLOR="#DC4A14">$</font><font COLOR="#EF7648">or</font><font COLOR="#FC9C6A">i</font><font COLOR="#FCC4A5">g</font><font COLOR="#FCBC8A">i</font><font COLOR="#FCCCA8">n</font><font COLOR="#FCE4C8">a</font><font COLOR="#FCE4B7">l</font><font COLOR="#FCE4C8">W</font><font COLOR="#FCD4B9">ob</font><font COLOR="#FCCCA8">j</font><font COLOR="#FCC4A5">e</font><font COLOR="#FCBC8A">c</font><font COLOR="#FCB697">t</font><font COLOR="#F0946C">;</font><font COLOR="#FC9367">}</font><font COLOR="#EC8454">e</font><font COLOR="#D45D2C">ls</font><font COLOR="#D14E1C">e</font><font COLOR="#DC4A14">{</font><font COLOR="#E14A0C">$</font><font COLOR="#E4460A">{</font><font COLOR="#EC4404">$wob</font><font COLOR="#E14A0C">j</font><font COLOR="#DC4A14">e</font><font COLOR="#A73709">c</font><font COLOR="#9C3E19">t</font><font COLOR="#480204">}</font><font COLOR="#180204">{</font><font COLOR="#0B0204">startDate}=${$

<br>originalWobject}{s</font><font COLOR="#36190F">t</font><font COLOR="#481404">a</font><font COLOR="#984E28">r</font><font COLOR="#B45833">t</font><font COLOR="#D14E1C">D</font><font COLOR="#DC460A">a</font><font COLOR="#EC4404">te};${</font><font COLOR="#E4460A">$wob</font><font COLOR="#E14A0C">je</font><font COLOR="#E4460A">ct</font><font COLOR="#E14A0C">}</font><font COLOR="#E4460A">{en</font><font COLOR="#EC4404">dDate}</font><font COLOR="#F44304">=</font><font COLOR="#EC4404">${$</font><font COLOR="#E14A0C">o</font><font COLOR="#D44C14">r</font><font COLOR="#C04D1F">i</font><font COLOR="#A4522C">g</font><font COLOR="#642206">i</font><font COLOR="#280204">n</font><font COLOR="#180204">al</font><font COLOR="#0B0204">Wobject}{endDat

<br>e};${$wobject}{templ</font><font COLOR="#180204">ate</font><font COLOR="#380304">P</font><font COLOR="#7B2204">o</font><font COLOR="#872404">s</font><font COLOR="#C03B06">i</font><font COLOR="#D44C14">t</font><font COLOR="#E4460A">i</font><font COLOR="#EC4404">on</font><font COLOR="#F44304">}</font><font COLOR="#EC3E04">=</font><font COLOR="#F44304">$</font><font COLOR="#EC4404">{</font><font COLOR="#EC3E04">$</font><font COLOR="#F44304">o</font><font COLOR="#EC4404">r</font><font COLOR="#F44304">i</font><font COLOR="#EC4404">g</font><font COLOR="#EC3E04">i</font><font COLOR="#F44304">n</font><font COLOR="#EC4404">a</font><font COLOR="#F44304">l</font><font COLOR="#EC4404">W</font><font COLOR="#CC3504">o</font><font COLOR="#C03404">b</font><font COLOR="#A42F04">j</font><font COLOR="#691104">e</font><font COLOR="#691C04">c</font><font COLOR="#380304">t</font><font COLOR="#280204">}{</font><font COLOR="#180204">tem</font><font COLOR="#0B0204">p</font><font COLOR="#180204">l</font><font COLOR="#0B0204">atePosition};${$w

<br>object}{_WobjectProxy}=${</font><font COLOR="#180204">$o</font><font COLOR="#280204">ri</font><font COLOR="#581004">g</font><font COLOR="#691C04">i</font><font COLOR="#751B04">n</font><font COLOR="#7B2204">a</font><font COLOR="#8B2E05">lW</font><font COLOR="#972E04">o</font><font COLOR="#8B2E05">bj</font><font COLOR="#751B04">e</font><font COLOR="#6C0A04">c</font><font COLOR="#691104">t}</font><font COLOR="#480204">{</font><font COLOR="#460A04">w</font><font COLOR="#280204">ob</font><font COLOR="#180204">jec</font><font COLOR="#0B0204">tId};if($wobjectProxy->{ov

<br></font></nobr></center><br><br></body></html>';
	return $output;
}
1;
