/***************************************************************************
 *   Copyright (C) 2004 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "feedcheck.h"

#include <qfile.h>

#include <kmessagebox.h>
#include <klocale.h>
#include <kprocess.h>

FeedCheck::FeedCheck(QObject *parent, const QString& bpStr )
   : QObject( parent, 0 )
{
   m_bpStr = bpStr;
}

void FeedCheck::begin()
{
   if( !QFile::exists( m_bpStr ) )
   {
      KMessageBox::sorry( 0, i18n( "I can't find the current shell file %1.\nPerhaps its been deleted?" ).arg( m_bpStr ), i18n( "Check Now" ) );
      emit finished( false );
      return;
   }
   KProcess *proc = new KProcess;
   *proc << m_bpStr;
   connect( proc, SIGNAL( processExited( KProcess* ) ), SLOT( slotBashPodFinish( KProcess* ) ) );
   connect( proc, SIGNAL( receivedStdout( KProcess*, char*, int ) ), SLOT( slotBashPodOut( KProcess*, char*, int ) ) );
   proc->start( KProcess::NotifyOnExit, KProcess::All );
   emit message( i18n( "Started checking..." ) );
}

void FeedCheck::slotBashPodOut( KProcess*, char*, int )
{
   // Doesn't do anything yet
}

void FeedCheck::slotBashPodFinish( KProcess* )
{
   emit finished( true );
}

#include "feedcheck.moc"
