#!/bin/sh

# Read configuration file
source `kde-config --localprefix`\
share/apps/konqueror/servicemenus/\
bt_download_konsole.conf

# Find directory and filename
DIRNAME=`dirname $1`
BASENAME=`basename $1`

# Find first running Konsole instance
FIRST_KONSOLE=`dcop konsole* | head -1`

# Check that we found a Konsole instance
if [ "$FIRST_KONSOLE" = "" ]; then
	kdialog \
		--title "Error" \
		--error "No runnig Konsole instance found"
	exit 0
fi

# TODO: Find a way to query the Konsole instance if it has
# Extended DCOP functionality enabled (--script switch)

# Ask user for max allowed upload speed
MAX_UPLOAD_SPEED=`kdialog \
	--title "Download with BitTorrent" \
	--inputbox "Max Upload Speed:" \
	 "60"`

# Build the bittorrent command to execute
BT_COMMAND="btdownloadcurses \
	--minport $MINPORT \
	--maxport $MAXPORT \
	--max_upload_rate $MAX_UPLOAD_SPEED \
	$1"

# Create a new tab
NEW_SESSION=`dcop $FIRST_KONSOLE konsole newSession`

# Rename tab to the first 15 chars of the torrent filename
dcop $FIRST_KONSOLE $NEW_SESSION renameSession "${BASENAME:0:15}"

# Sleep for 1 second, otherwise the following sendSession
# commands fail (why?)
sleep 1

# Change to download directory and start download, fails if
# extended DCOP functionality is not enabled using the
# --script switch
dcop $FIRST_KONSOLE $NEW_SESSION sendSession "cd $DIRNAME"
dcop $FIRST_KONSOLE $NEW_SESSION sendSession "$BT_COMMAND"

exit 0
