/***************************************************************************
 *   Copyright (C) 2004 by Grzegorz Rusin                                  *
 *   pks@irc.pl                                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CARRAY_H
#define CARRAY_H

template <typename T>
class cArray
{
	private:
	T *_data;
	int _size;	//size of an array
	int _first; //first entry;
	int _num;	//number of stored entries (value is from 0 to `size')

	public:
	///////////////////
	/*
	cArray()
	{
		_data = NULL;
		_size = 0;
		_first = -1;
	}
	*/
	//////////////////
	cArray(int num)
	{
		_data = new T[num];
		_size = num;
		_first = -1;
		_num = 0;
	}
	//////////////////
	~cArray()
	{
		if(_data) delete _data;
	}
	/////////////////
	void push(T value)
	{
		if(_num != _size) ++_num;
		++_first;
		_first %= _size;
		_data[_first] = value;
	}
	////////////////
	int size()
	{
		return _size;
	}
	////////////////
	int entries()
	{
		return _num;
	}
	////////////////
	T &operator[](int n)
	{
		if(!n) return _data[_first];
		if(n <= _first) return _data[_first - n];
		else return _data[_first + (_size-n)];
	}
};

#endif // CARRAY_H
